//-------------------------------------------------
//POV-Ray Materials list
//This file has been created by PoseRay v3.0.2.272
//3D model to POV-Ray/Moray Converter.
//Author: FlyerX
//Email: flyer_2000@excite.com
//Web: http://user.txcyber.com/~sgalls/
//----------------------------------------------------
//Files needed to run the POV-Ray scene:
//POV-Ray configuration file:giantessR_pov.ini Open this file in POV-Ray and press run to obtain the render
//POV-Ray Scene file:giantessR.pov
//POV-Ray geometry mesh file:giantessR_pov.inc
//POV-Ray material file:giantessR_pov_mat.inc
//JudyBodyTexLo.jpg
//JudyHeadTexLo.jpg
//JudyHazelEyeLo.jpg
//female hair 5 texture.tif
//----------------------------------------------------
//Files used in PoseRay for the creation of this scene:
//3D model file: giantessR.OBJ
//Material file: giantessR.mtl
//Camera file: 
//Lights file: 
//----------------------------------------------------     

#declare p_map1=pigment
  {
    granite
    turbulence 0.81  octaves 8
    color_map
    {
      [0.00 color rgb<0.812, 0.700, 0.604> * 1.5]
      [0.52 color rgb<0.753, 0.622, 0.592> * 1.5]
      [0.77 color rgb<0.843, 0.802, 0.702> * 1.5]
      [1.00 color rgb<0.941, 0.850, 0.780> * 1.5]
    }
    scale <0.2, 0.6, 0.2>
  }





#declare TSstatues = texture
{
  pigment
  {
     p_map1
  }
  normal
  {
    dents 0.19
    phase 0.22
    frequency -2
    scale <0.1, 0.1, 0.1>
  }
  finish {
    ambient 0.15
    diffuse 0.75
    brilliance 1.5
    specular 0.08    roughness 0.13
  }
}   
 
 
//Map definitions =================
#declare p_map1=pigment
  {
     p_map1
  }
#declare p_map2=pigment
  {
     p_map1
  }
#declare p_map3=pigment
  {
     p_map1
  }
#declare p_map4=pigment
  {
     p_map1
  }
 
//Material definitions =============================
#declare SkinBody= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map1} 
normal
  {
    agate 0.19
    phase 0.22
    frequency -2
    scale <.02,.02, .02>
  }
  finish{phong 0 phong_size 1 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare Tongue= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map1} 
        finish{phong 0 phong_size 1 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare Lacrimal= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map2} 
        finish{phong 0 phong_size 1 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare Eyelashes= 
texture{pigment {color rgb <0,0,0> transmit 0} 
        finish{phong 0 phong_size 100 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare InnerMouth= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map1} 
        finish{phong 0 phong_size 1 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare Lips= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map2} 
        finish{phong 0 phong_size 100 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare SkinHead= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map2}
normal
  {
    agate 0.19
    phase 0.22
    frequency -2
    scale <.02,.02, .02>
  } 
        finish{phong 0 phong_size 100 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare Nostrils= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map2} 
normal
  {
    agate 0.19
    phase 0.22
    frequency -2
    scale <.02,.02, .02>
  }
        finish{phong 0 phong_size 100 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare Teeth= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map1} 
        finish{phong 0 phong_size 100 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare Pupil= 
texture{pigment {color rgb <0,0,0> transmit 0} 
        finish{phong 1 phong_size 85.5827 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare Iris= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map3} 
        finish{phong 1 phong_size 85.5052 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare EyeWhite= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map3} 
        finish{phong 0 phong_size 100 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare EyeBall= 
texture{pigment {color rgb <1,1,1> transmit 0} 
        finish{phong 1 phong_size 65.3979 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare Lenscovering= 
texture{pigment {color rgb <1,1,1> transmit 0} 
        finish{phong 0 phong_size 100 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare Nipples= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map1} 
        finish{phong 0 phong_size 100 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare FingerNails= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map1} 
        finish{phong 0 phong_size 100 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare ToeNails= 
texture{pigment {color rgb <1,1,1> transmit 0} }
texture{pigment{p_map1} 
        finish{phong 0 phong_size 100 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
#declare Hair= 
texture{pigment {color rgb <0.92549,0.803922,0.521569> transmit 0} }
texture{pigment{p_map4} 

 
normal
  {
    agate 0.19
    phase 0.22
    frequency -2
    scale <.02,.02, .02>
  }
  
  
        finish{phong 0.1411767 phong_size 30 ambient rgb <0,0,0> reflection{0 metallic}}}
//================================================== 
