/*
////////////// FIRST FLOOR TOWER 
#declare yWall=hSTDfftr;     
        #declare eWall=eSTDWall; 
        #declare zMortar=eWall-1;           
        
//Std Dunstand first floor SOUTH Tower wall 
#declare x1Wall= STDftr1.u*upf;             // wall length in x
#declare x2Wall= STDftr2.u*upf+eSTDWall/2;             // wall length in x
#declare z1Wall=STDftr1.v*upf;             // wall length in x
#declare z2Wall= STDftr2.v*upf;             // wall length in x

 
#if (modeImg=1)
        # declare ffStrWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffStrWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[9][0] = angleWall;
#declare  angleslngSTDff[9][1] = lengthWall;

object{ffStrWall} 

//Std Dunstand first floor EAST Tower wall

#declare x1Wall= STDftr2.u*upf;             // wall length in x
#declare x2Wall= STDftr3.u*upf;             // wall length in x
#declare z1Wall=STDftr2.v*upf;             // wall length in x
#declare z2Wall= STDftr3.v*upf;             // wall length in x 
#if (modeImg=1)
        # declare ffEtrWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffEtrWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[10][0] = angleWall;
#declare  angleslngSTDff[10][1] = lengthWall;

object{ffEtrWall}  

//Std Dunstand first floor NORTH Tower wall
#declare x1Wall= STDftr3.u*upf+eSTDWall/2;             // wall length in x
#declare x2Wall= STDftr4.u*upf;             // wall length in x
#declare z1Wall=STDftr3.v*upf;             // wall length in x
#declare z2Wall= STDftr4.v*upf;             // wall length in x
 
#if (modeImg=1)
        # declare ffNtrWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffNtrWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[11][0] = angleWall;
#declare  angleslngSTDff[11][1] = lengthWall;

object{ffNtrWall}

//Std Dunstand first floor West Tower wall
#declare x1Wall= STDftr4.u*upf+eSTDWall/2;             // wall length in x
#declare x2Wall= STDftr1.u*upf+eSTDWall/2;;             // wall length in x
#declare z1Wall=STDftr4.v*upf+eSTDWall/10;             // wall length in x
#declare z2Wall= STDftr1.v*upf+eSTDWall/10;             // wall length in x
 
#if (modeImg=1)
        # declare ffWtrWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffWtrWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[12][0] = angleWall;
#declare  angleslngSTDff[12][1] = lengthWall;

object{ffWtrWall}   

#declare doMortar=1;
#declare eMortar = .01; 
#declare eWall  = 45;
#declare zMortar=eWall-1;           // mortar deepth
//#declare xBrickMin=20;             // min brick size
//#declare xBrickMax=21;
//#declare xBrickMin=20;             // min brick size
//#declare xBrickMax=21;             // max brick size
#declare tetaWall=360;              // angle (360 = bricks all around)
#declare yWall= hSTDfffl;  


#declare angleflt = 0;

#declare fleche = union {
#while (angleflt < 8)
        #declare x1Wall = flp[angleflt].u;
        #declare z1Wall = flp[angleflt].v;
        #declare x2Wall = flp[angleflt+1].u;
        #declare z2Wall = flp[angleflt+1].v;   
        object{ 
        #if (modeImg=1)
            MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
        #else
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
        #end
            translate y*(altSW+hSTDgf) 
            rotate y * ((angleflt) *45+22.5) 
            translate -x * (eWall /2+3)
            rotate -y * (angleflt*45)
             
        } 
            
            #declare angleflt = angleflt +1 ; 
#end
} 

object {fleche 
        rotate -y * angleslngSTDff[11][0]   
       translate <STDftr2.u*upf,0,STDftr2.v*upf>
}       



/*
union {
object {fleche 
        rotate -y * angleslngSTDff[11][0]   
        clipped_by {sphere{<0,1500,0>,radFleche} }
        
        //translate <STDftr2.u*upf,0,STDftr2.v*upf>
        }
        sphere{<0,1500,0>,radFleche-1 texture {txtImgWall scale <20,20,1>}}
        translate <STDftr2.u*upf,0,STDftr2.v*upf>
}        
*/ 

