#include "colors.inc"
#include "glass.inc" 

#declare qRed = texture {
                pigment {
                    rgb <1,0,0>
                }
                    
                //finish {phong .3}
                //normal {bumps 3}
         }

#declare blckir = texture {
                pigment {
                    bozo
                    color_map {
                      [0.0 color Brown]
                      [0.9 color Gray10]
                      [1.0 color Green]
                    }
                    turbulence 0.1
                    scale <0.03, 0.05, .05>
                    
                    
                }
                finish {phong .3}
                normal {bumps 3}
        }



       
        #declare TframeW = texture {
                pigment {
                    wood
                    color_map {
                      [0.0 color <1,1,1>]
                      [0.9 color <.95,1.00,.95>]
                      [1.0 color <.95,.95,1.00>]
                    }
                    turbulence 0.2
                    scale <0.1, 0.1, 1>
                    
                    
                }
                finish {phong .7 phong_size 12 diffuse 0.70 ambient 0.20 specular .10} 
                
                normal {average
                        normal_map {
                        [0.00 wood .1 scale <.2,.2,1> turbulence 0.2]
                        [1.00 bumps .05]
                        } 
                }
                
        } 
        
                #declare TframeY = texture {
                pigment {
                    wood
                    color_map {
                      [0.0 color Yellow]
                      [0.9 color <.9,.8,.3>]
                      [1.0 color <.8,.9,.2>]
                    }
                    turbulence 0.2
                    scale <0.1, 0.1, 1>
                    
                    
                }
                finish {phong .5 phong_size 120 diffuse 0.50 ambient 0.20}
                normal {average
                        normal_map {
                        [0.00 wood .05 scale <.2,.2,1> turbulence 0.2]
                        [1.00 bumps .1]
                        } 
                }
        }
        
                #declare TframeP = texture {
                pigment {
                    wood
                    color_map {
                      [0.0 color rgb<0.914,0.504,0.814>]
                      [0.9 color Pink]
                      [1.0 color rgb<0.914,0.604,0.854>]
                    }
                    turbulence 0.2
                    scale <0.1, 0.1, 1>
                    
                    
                }
                finish {phong .2 phong_size 120 diffuse 0.50 ambient 0.20}
                normal {average
                        normal_map {
                        [0.40 wood .08 scale <.2,.2,1> turbulence 0.2]
                        [0.20 bumps .3]
                        } 
                }
        }



               #declare TframeBleu = texture {
                pigment {
                    wood
                    color_map {
                      [0.0 color rgb<0.314,0.504,0.914>]
                      [0.9 color Blue]
                      [1.0 color rgb<0.014,0.204,0.700>]
                    }
                    turbulence 0.2
                    scale <0.05, 0.05, 3>
                    
                    
                }
                finish {phong .6 phong_size 80 diffuse 0.75 ambient 0.10}
                normal {average
                        normal_map {
                        [0.40 wood .06 scale <.2,.2,3> turbulence 0.2]
                        [0.20 bumps .1]
                        } 
                }
        } 
        
#declare Copper_Texture =  texture
      {      
         pigment
         {
            color rgb <0.72, 0.552067, 0.2>
         }      
         normal
         {
            wrinkles , 0.15
            scale  0.3
         }      
         finish
         {
            ambient 0.15
            diffuse 0.85
            
            phong 0.95
            phong_size 88.74
            specular 0.933067
            roughness 0.015033
            metallic .5
            reflection 0.2446
            brilliance 3
         }
      }


#declare Steel_Texture =  texture
      {      
         pigment
         {
            color rgb <0.2, 0.22, 0.25>
         }      
         normal
         {
            wrinkles , 0.05
            scale  0.15
         }      
         finish
         {
            ambient 0.2
            diffuse 0.7
            brilliance 6.0
            phong 0.75
            phong_size 88.74
            specular 0.633067
            roughness 0.015033
            metallic 1.0
            reflection 0.2446
         }
      }
      
#declare iron_Texture = texture
   {      
         pigment
         {
            color rgb <0.479149, 0.489549, 0.541651>
         }      
         normal
         {
            dents , 0.27
            scale  <0.05, 0.05, 0.001>
         }      
         finish
         {
            ambient 0.2
            diffuse 0.784167
            brilliance 6.315667
            phong 0.906467
            phong_size 88.74
            specular 0.633067
            roughness 0.233067
            metallic 0.99989
            reflection 0.050333
         }
      }
         
#declare Texferblanc = texture
   {      
         pigment
         {
            color rgb <0.579149, 0.589549, 0.641651>
         }      
         normal
         {
            dents , 0.27
            scale  <0.2, 0.05, 0.001>
         }      
         finish
         {
            ambient 0.2
            diffuse 0.884167
            brilliance 6.315667
            phong 0.906467
            phong_size 8.74
            specular 0.633067
            roughness 0.233067
            metallic 0.99989
            reflection 0.050333
         }
      } 
      
#declare Texferblanc2 = texture
   {      
         pigment
         {
            color rgb <0.579149, 0.589549, 0.641651>*.8
         }      
         normal
         {
            dents , 0.17
            scale  <0.2, 0.2, 0.2>
         }      
         finish
         {
            ambient 0.3
            diffuse 0.784167
            brilliance 6.315667
            phong 0.606467
            phong_size 8.74
            specular 0.433067
            roughness 0.233067
            metallic 0.99989
            reflection 0.050333
         }
      }
      



#declare BallWood = 
      texture
      {      
         pigment
         {
            wood
            color_map
            {
               [ 0.0     rgbft <0.017931, 0.010554, 0.002869, 0.0, 0.0> ]
               [ 0.1     rgbft <0.12569, 0.073977, 0.02011, 0.0, 0.0> ]
               [ 0.395018  rgbft <0.371608, 0.215917, 0.149192, 0.0, 0.0> ]
               [ 0.743772  rgbft <0.211152, 0.119706, 0.080515, 0.0, 0.0> ]
               [ 1.0     rgbft <0.01703, 0.012152, 0.00377, 0.0, 0.0> ]
            }
            turbulence 0.06
            octaves 3
            ramp_wave
            scale  <0.05, 0.03, 0.1>
            rotate -90.0 * y
         }      
         finish
         {
            ambient 0.1
            brilliance 1.203
            phong 0.2158
            phong_size 23.176667
            specular 0.158267
            roughness 0.0526
            crand 0.2086
         }
      }// texture ballwood
      

#declare irondark_Texture_1 = texture
      {      
         pigment
         {
            color rgb <0.320399, 0.283735, 0.315272>
         }      
         normal
         {
            dents , 0.57
            scale  <0.05, 0.05, 0.05>
         }      
         finish
         {
            ambient 0.2
            diffuse 0.784167
            brilliance 5.263
            phong 0.961133
            phong_size 58.74
            specular 0.451067
            roughness 0.080433
            metallic 0.69989
            reflection 0.150333
         }
      } //texture irondark_Texture_1

  
   












#declare TexGloss = texture {
  pigment { Gray55 }
  finish {
    ambient 0.2
    diffuse 0.5
    phong 0.7
    phong_size 50
    specular 0.6
    roughness 0.002
  }
}       


#declare blanclum = texture {

        pigment{rgb <1,1,1>} 
        finish{ ambient .3 diffuse .8 phong 0.7 reflection{0.25}} 
        normal{bumps .1 scale <20,10,10>}   
        
}        

/*
#declare Tgranite = texture{
         material_map
         {
            //gif   "C:\Program Files\Moray For Windows\Maps\povmap.gif"
            texture
            {            
               pigment
               {
                  granite
                  color_map
                  {
                     [ 0.0     rgbft <0.583333, 0.5625, 0.479167, 0.0, 0.0> ]
                     [ 1.0     rgbft <0.968733, 0.9479, 0.906233, 0.0, 0.0> ]
                  }
                  scale  0.1
               }
            }
         }

}
*/

// Stone for St dunstan Walls
#declare TStoneStDunstan = texture
{
  pigment
  {
    granite
    turbulence 0.81  octaves 8
    color_map
    {
      [0.00 color rgb<0.812, 0.780, 0.604> * 0.85]
      [0.52 color rgb<0.753, 0.682, 0.592> * 0.85]
      [0.77 color rgb<0.843, 0.812, 0.702> * 0.85]
      [1.00 color rgb<0.941, 0.890, 0.780> * 0.85]
    }
    scale <0.2, 0.6, 0.2>
  }
  normal
  {
    dents 0.49
    phase 0.22
    frequency -2
    scale <0.1, 0.1, 0.1>
  }
  finish {
    ambient 0.15
    diffuse 0.75
    brilliance 1.5
    specular 0.08    roughness 0.13
  }
}   

// Red brown brick
#declare TRedBrownBrick = texture
{
  pigment
  {
    granite
    turbulence 1.59  octaves 8
    color_map
    {
      [0.00 color rgb<0.624, 0.345, 0.278>]
      [0.34 color rgb<0.753, 0.435, 0.306>]
      [0.77 color rgb<0.843, 0.475, 0.357>]
      [1.00 color rgb<0.773, 0.447, 0.396>]
    }
    scale <0.3, 0.1, 0.2>
  }
  normal
  {
    dents 0.25
    phase 0.22
    frequency -6
    scale <0.1, 0.1, 0.1>
  }
  finish {
    ambient 0.35
    brilliance 1.5
    specular 0.08    roughness 0.13
  }
}



// White Mortar
#declare TWhiteMortar = texture
{
  pigment
  {
    spotted
    turbulence 0.41  omega 0.72  lambda 2.4
    color_map
    {
      [0.00 color rgb<0.802, 0.763, 0.751>*.5]
      [1.00 color rgb<0.922, 0.890, 0.871>*.5]
    }
    scale <5, 5, 5>
  }
  normal
  {
    dents 0.67
    scale <0.5, 0.3, 1>
  }
  finish {
    ambient 0.20
    brilliance 1.2
  }
}

// White plaster
#declare TWhitePlaster = texture
{
  pigment
  {
    wrinkles
    turbulence 0.3  omega 0.72  lambda 2.4
    color_map
    {     
      [0.00 color rgb<0.922, 0.890, 0.771> * .61]
      [0.50 color rgb<0.902, 0.863, 0.751>*.65]
      [1.00 color rgb<0.922, 0.890, 0.671>* .55]
    }
    scale <0.1, 0.1, 0.1>
  }
  normal
  {
    wrinkles //0.35
    turbulence 0.3  omega 0.72  lambda 4.4
    
    //phase 0.33
    //frequency 6
    scale <0.1, 0.1, 0.1>
  }
  finish {
    ambient 0.07
    brilliance 1.2
  }
}

// Brush stroke Gray Y
#declare TBrushStrokeGrayY = texture
{
  pigment
  {
    colour rgb<0.714,0.714,0.714>
  }
  normal
  {
    bumps 0.27
    turbulence 0.68  omega 0.57  lambda 3.3
    frequency 5
    scale <0.05, 5.0, 0.05>
  }
  finish {
    ambient 0.42
    brilliance 1.5
    specular 0.3    roughness 0.53
    phong 0.15    phong_size 21
    reflection 0.03
  }
}   


// Brush stroke Gray Z
#declare TBrushStrokeGrayZ = texture
{
  pigment
  {
    colour rgb<0.714,0.714,0.714>
  }
  normal
  {
    bumps 0.27
    turbulence 0.68  omega 0.57  lambda 3.3
    frequency 5
    scale <0.05, 0.05, 5.0>
  }
  finish {
    ambient 0.42
    brilliance 1.5
    specular 0.3    roughness 0.53
    phong 0.15    phong_size 21
    reflection 0.03
  }
}     

// Brush stroke Gray X
#declare TBrushStrokGrayX = texture
{
  pigment
  {
    colour rgb<0.714,0.714,0.714>
  }
  normal
  {
    bumps 0.27
    turbulence 0.68  omega 0.57  lambda 3.3
    frequency 5
    scale <5.0, 0.05, 0.05>
  }
  finish {
    ambient 0.42
    brilliance 1.5
    specular 0.3    roughness 0.53
    phong 0.15    phong_size 21
    reflection 0.03
  }
} 

// White Ceramic
#declare CeramicWhite = texture
{
  pigment
  {
    colour rgb<0.980,0.969,0.969>
  }
  normal
  {
    bumps 0.07
    turbulence 0.35
    scale <1.0, 0.2, 1.0>
  }
  finish {
    ambient 0.27
    brilliance 1.1
    specular 0.19    roughness 0.83
    phong 0.55    phong_size 5
    reflection 0.09
  }
}         


// image_map texture for St Dunstan  wall
#declare texImgSTD = 
texture {
                     
                    pigment {
                      image_map {tga "textures\imgSTDWallPigment.tga"} 
                      
                    } 
                    normal {   
                    bump_map
                        {
                            tga "textures\imgSTDWallNormal.tga"  
                            bump_size 5.0
                        }
                        
                    } 
                    finish {
                       ambient .07
                       diffuse .5
                       brilliance .5 
                       //reflection {.005, .06}
                       phong .2 
                       phong_size 25
                        
                    }
                    scale <554/90,356/44,1>
         }        
         
         
// image_map texture for St Dunstan  slabed soil 
#declare texImgSTDSoil = 
texture {
                     
                    pigment {
                      image_map {tga "textures\imgTrot2pigment.tga"} 
                      
                    } 
                    normal {   
                    bump_map
                        {
                            tga "textures\imgTrot2normal.tga"  
                            bump_size 1.0
                        }
                        
                    } 
                    finish {
                       ambient .10
                       diffuse .4
                       brilliance .2 
                       //reflection {.005, .06}
                       phong .2 
                       phong_size 25
                        
                    }
                    scale <575/82,445/75,1>
         }    
          
         
          
#declare TexSTDDoor = texture {
  pigment { rgb <0.25,0.22,0.21 >}
  finish {
    ambient 0.20
    diffuse 0.5
    phong 0.1
    phong_size 50
    specular 0.1
    roughness 0.002
    brilliance .3
  }
} 

#declare TexCLKDoor = texture {
  pigment { rgb <0.92,0.91,0.90 >}
  finish {
    ambient 0.20
    diffuse 0.5
    phong 0.5
    phong_size 50
    specular 0.1
    roughness 0.002
    brilliance .3
  }
} 
//////////// Used for church vitrals ///////////////////////////////////
#declare TVitrail= texture{pigment { rgbt <.25,.40,.5,.54>} normal { bumps .5 scale <5,5,3> } finish{F_Glass10}} ;




///////// Used for clock support ///////////////////////
#declare DMF_Brushed_Aluminum = 
   material  // DMF_Brushed_Aluminum
   {   
      texture
      {      
         pigment
         {
            color rgb <0.458333, 0.489567, 0.4479>
         }      
         normal
         {
            bumps , 0.01
            scale  0.01
         }      
         finish
         {
            ambient 0.05
            diffuse 0.7
            brilliance 6.09
            phong_size 15.893333
            specular 0.827333
            roughness 0.218033
            metallic 2.0
            reflection 0.057533
         }
      }
   }



// image_map texture for Todd's House
#declare texImgTdHse = 
texture {
                     
                    pigment {
                      image_map {tga "textures\imgBrick3Pigment.tga"} 
                      
                    } 
                    normal {   
                    bump_map
                        {
                            tga "textures\imgBrick3Normal.tga"  
                            bump_size 5.0
                        }
                        
                    } 
                    finish {
                       ambient .07
                       diffuse .5
                       brilliance .5 
                       //reflection {.005, .06}
                       phong .2 
                       phong_size 25
                        
                    }
                    scale <564/89,362/33,1>
         }
         
         
// image_map texture for bowed red bricks
#declare texImgBowBrick2 = 
texture {
                     
                    pigment {
                      image_map {tga "textures\imgBrick2dfPigment.tga"} 
                      
                    } 
                    normal {   
                    bump_map
                        {
                            tga "textures\imgBrick2dfNormal.tga"  
                            bump_size 5.0
                        }
                    scale <1,1,3>    
                    } 
                    finish {
                       ambient .07
                       diffuse .5
                       brilliance .5 
                       //reflection {.005, .06}
                       phong .2 
                       phong_size 25
                        
                    }
                    scale <564/89,362/33,1>
         }                 
         
// image_map texture for White painted bricks
#declare texImgWPBrick = 
texture {
                     
                    pigment {
                      image_map {tga "textures\imgPntBrickPigment.tga"} 
                      
                    } 
                    normal {   
                    bump_map
                        {
                            tga "textures\imgPntBrickNormal.tga"  
                            bump_size 5.0
                        }
                    scale <1,1,.15>    
                    } 
                    finish {
                       ambient .17
                       diffuse .5
                       brilliance .5 
                       //reflection {.005, .06}
                       phong .2 
                       phong_size 25
                        
                    }
                    scale <564/89,362/33,1>
         }  
         
#declare TexShopDoor = texture {
  pigment { Gray85 }
  finish {
    ambient 0.22
    diffuse 0.5
    phong 0.7
    phong_size 50
    specular 0.1
    roughness 0.002
  }
}

#declare TexShopDoorY = texture {
  pigment { rgb <.9,.8,.2> }
  finish {
    ambient 0.22
    diffuse 0.5
    phong 0.7
    phong_size 50
    specular 0.1
    roughness 0.002
  }
} 
#declare TexShopDoorP = texture {
  pigment { color rgb<0.914,0.504,0.814> }
  finish {
    ambient 0.22
    diffuse 0.5
    phong 0.7
    phong_size 50
    specular 0.1
    roughness 0.002
  }
}  


// image_map texture for Todd's shop floor
#declare texShopFloor = 
texture {
                     
                    pigment {
                      image_map {tga "textures\carrelpigment2.tga"} 
                      
                    } 
                    normal {   
                    bump_map
                        {
                            tga "textures\carrelNormal2.tga"  
                            bump_size 5.0
                        }
                    scale <1,1,1>    
                    } 
                    finish {
                       ambient .17
                       diffuse .4
                       brilliance .5 
                       reflection {.005, .06}
                       phong .1 
                       phong_size 45
                        
                    }
                    scale <315/38,367/43,1>
         }          
         
         
////////////// image_map texture for ceiling (poutres
#declare texImgPoutres = 
texture {
                     
                    pigment {
                      image_map {tga "textures\poutres.tga"} 
                      
                    } 
                    normal {   
                    bump_map
                        {
                            tga "textures\poutresNorm.tga"  
                            bump_size 5.0
                        }
                        
                    } 
                    finish {
                       ambient .07
                       diffuse .5
                       brilliance .5 
                       //reflection {.005, .06}
                       phong .1 
                       phong_size 25
                        
                    }
                    scale <468/30,468/30,1>
         }


#declare DMFWood1 =  texture
      {      
         pigment
         {
            wood
            color_map
            {
               [ 0.0     rgbft <0.6, 0.3, 0.18, 0.0, 0.0> ]
               [ 0.1     rgbft <0.6, 0.3, 0.18, 0.0, 0.0> ]
               [ 0.9     rgbft <0.3, 0.15, 0.09, 0.0, 0.0> ]
               [ 1.0     rgbft <0.3, 0.15, 0.09, 0.0, 0.0> ]
            }
            turbulence 0.04
            octaves 3
            ramp_wave
            scale  <0.05, 0.05, 1.0>
            rotate    <.5, -91, -2.0>
         }      
         normal
         {
            wood , 0.5
            turbulence 0.04
            octaves 3
            ramp_wave
            scale  <0.05, 0.05, 1.0>
            rotate    <.5, -91, -2.0>
         }
      } //dmfwood

         
         
// Brush stroke Light brown X
#declare TBrushStrokLightBrownX = texture
{
  pigment
  {
    colour rgb<0.814,0.804,0.214>
  }
  
  normal
  {
    bumps 0.027
    turbulence 0.2  //omega 0.57  lambda 3.3
    frequency 1
    scale <5.0, 0.15, 0.05>
  }
  
  finish {
    ambient 0.22
    brilliance 0.75
    specular 0.15    roughness 0.13
    phong 0.615    phong_size 21
    reflection 0.03
  }
}   

// Brush stroke Light White X
#declare TBrushStrokLightWhiteX = texture
{
  pigment
  {
    colour rgb<0.914,0.904,0.914>
  }
  /*
  normal
  {
    bumps 0.027
    turbulence 0.2  //omega 0.57  lambda 3.3
    frequency 1
    scale <55.0, 0.15, 0.05>
  }
  */
  finish {
    ambient 0.22
    brilliance 1.5
    specular 0.01    roughness 0.53
    phong 0.315    phong_size 21
    //reflection 0.03
  }
}

// Brush stroke pink X
#declare TBrushStrokPinkX = texture
{
  pigment
  {
    colour rgb<0.914,0.504,0.814>
  }
  
  
    normal
  {
    bumps 0.027
    turbulence 0.2  //omega 0.57  lambda 3.3
    frequency 1
    scale <5.0, 0.15, 0.05>
  }
  
  finish {
    ambient 0.22
    brilliance 0.75
    specular 0.15    roughness 0.13
    phong 0.615    phong_size 21
    reflection 0.03
  }

  
}      

#declare texImg187STB = 
texture {
                     
                    pigment {
                      image_map {tga "textures\187SToddBarb.tga"} 
                      
                    } 
                    normal {   
                    bump_map
                        {
                            tga "textures\187SToddBarbNorm.tga"  
                            bump_size 0.2
                        }
                        
                    } 
                    finish {
                       ambient .07
                       diffuse .7
                       brilliance .3 
                       //reflection {.005, .06}
                       phong .7 
                       phong_size 15
                       specular .15
                        
                    }
                    //scale <468/30,468/30,1>
         }

#declare texImg188 = 
texture {
                     
                    pigment {
                      image_map {tga "textures\188Bakens.tga"} 
                      
                    } 
                    normal {   
                    bump_map
                        {
                            tga "textures\188Bakens.tga"  
                            bump_size 0.2
                        }
                        
                    } 
                    finish {
                       ambient .07
                       diffuse .7
                       brilliance .3 
                       //reflection {.005, .06}
                       phong .7 
                       phong_size 15
                       specular .15 
                    }
                    
         }

// Material for 187, 188 windows block
#declare T187windblock = texture
{
  pigment
  {
    granite
    turbulence 0.81  octaves 8
    color_map
    {
      [0.00 color rgb<0.712, 0.880, 0.704> * 0.95]
      [0.52 color rgb<0.653, 0.722, 0.792> * 0.95]
      [0.77 color rgb<0.743, 0.812, 0.702> * 0.95]
      [1.00 color rgb<0.841, 0.790, 0.880> * 0.95]
    }
    scale <1, 3, 1>
  }
  normal
  {
    dents 0.49
    phase 0.22
    frequency -2
    scale <0.1, 0.1, 0.1>
  }
  finish {
    ambient 0.15
    diffuse 0.85
    //brilliance 0.11
    //specular 0.08    roughness 0.13
  }
}   
 
// image_map texture for Backery shop floor
#declare texBoulFloor = 
texture {
                     
                    pigment {
                      image_map {tga "textures\carrelboul02.tga"} 
                      
                    } 
                    normal {   
                    bump_map
                        {
                            tga "textures\carrelboulNorm.tga"  
                            bump_size 5.0
                        }
                    scale <1,1,10>    
                    } 
                    finish {
                       ambient .17
                       diffuse .4
                       brilliance .3 
                       reflection {.05, .1}
                       phong .1 
                       phong_size 45
                        
                    }
                    scale <640/80,640/80,1>
                    rotate z*45
         }          
         
         
#declare Tx_RedCurt = 
   texture  // txt_104
   {   
      pigment{gradient <1,0,0>
                  color_map{
                  [0.0 color rgbt<0.9, 0.3, 0.1,0> ]
                  [0.4 color rgbt<1,0,0,0> ]
                  [0.6 color rgbt<.7,0.2,0.1,0> ]
                  [1.0 color rgbt<0.5,0.3,0.1,0> ]
      	      }
      	      turbulence .5
      	      scale <2,1,1>
      }   
      normal
      {
         wood , 0.6
         turbulence <0.0, 0.0, 0.4>
         octaves 5
         omega 0.13
         lambda 1.1003
         frequency 20.0
         phase 0.27
         ramp_wave
         rotate <90,0,0>
      }   
      finish
      {
         ambient 0.35
         phong 0.158267
      }
   }
   texture
   {   
      pigment
      {
         color rgbft <0.5, 0.1979, .2, 0.729167, 0.554167>
      }   
      normal
      {
         ripples , 0.01
      }
   }


#declare Tx_RedCurt2 = 
   texture  // txt_104
   {   
      pigment{gradient <1,0,0>
                  color_map{
                  [0.0 color rgbt<0.9, 0.3, 0.1,.1> ]
                  [0.4 color rgbt<1,0,0,.05> ]
                  [0.6 color rgbt<.7,0.2,0.1,.2> ]
                  [1.0 color rgbt<0.5,0.3,0.1,.2> ]
      	      }
      	      turbulence .5
      	      scale <2,1,1>
      }   
      normal
      {
         wood , 0.6
         turbulence <0.0, 0.0, 0.4>
         octaves 5
         omega 0.13
         lambda 1.1003
         frequency 20.0
         phase 0.27
         ramp_wave
         rotate <90,0,0>
      }   
      finish
      {
         ambient 0.35
         phong 0.158267
      }
   }
   texture
   {  
      /* 
      pigment
      {
         color rgbft <0.5, 0.1979, .2, 0.229167, 0.854167>
      }  
      */
      pigment {
                      //image_map {gif "papierpeint\pp30.gif"     //transmit    192, 1.0
                      image_map {gif "papierpeint\pp10b.gif"     filter all 0.9  
                                  
                      } 
      scale 20                
                    } 
      normal
      {
         ripples , 0.01
      }
   }

#declare Copper_Metal1 = 
   material  // Copper_Metal1
   {   
      texture
      {      
         pigment
         {
            color rgb <0.72, 0.55, 0.2>
         }      
         finish
         {
            ambient 0.12
            diffuse 0.8
            brilliance 5.0
            phong 1
            phong_size 60.0
            reflection {0.2, 0.75}
         }
      }
   }     
   
   
///////////// ALL Textures used by the Bollard object //////////////////////


  
#declare Rusty_Iron1 = 
   material  // Rusty_Iron1
   {   
      texture
      {      
         pigment
         {
            agate
            agate_turb 1.0
            color_map
            {
               [ 0.0     rgbft <0.21, 0.2, 0.1, 0.0, 0.0> ]
               [ 0.5     rgbft <0.25, 0.25, 0.01, 0.0, 0.0> ]
               [ 0.6     rgbft <0.3, 0.2, 0.1, 0.0, 0.0> ]
               [ 0.715302  rgbft <0.36248, 0.241653, 0.141653, 0.0, 0.0> ]
               [ 1.0     rgbft <0.15, 0.2, 0.1, 0.0, 0.0> ]
            }
            scale <5,5,5>
         }      
         normal
         {
            bumps , 0.8
         }      
         finish
         {
            ambient 0.1
            phong 0.2302
            phong_size 28.476667
            specular 0.165467
            roughness 0.0902
         }
      }
   }


#declare Streaky_Steel_Metal = 
   material  // Streaky_Steel_Metal
   {   
      texture
      {      
         pigment
         {
            color rgb <0.4, 0.45, 0.42>
         }      
         normal
         {
            wrinkles , 0.6
            scale  <0.051, 30.0, 0.051>
            rotate -45.0 * z
         }      
         finish
         {
            ambient 0.1
            diffuse 0.3
            phong 0.2302
            brilliance 6.0
            specular 0.5
            roughness 0.0082
            reflection 0.12 metallic
         }
      }
   }



#declare boisgr = 
   material  // boisgr
   {   
      texture
      {      
         pigment
         {
            wood
            color_map
            {
               [ 0.0     rgbft <0.364567, 0.364567, 0.311403, 0.0, 0.0> ]
               [ 0.1     rgbft <0.539872, 0.443891, 0.376795, 0.0, 0.0> ]
               [ 0.9     rgbft <0.418919, 0.313659, 0.302067, 0.0, 0.0> ]
               [ 1.0     rgbft <0.4595, 0.326593, 0.269634, 0.0, 0.0> ]
            }
            turbulence 0.0635
            octaves 3
            ramp_wave
            scale  <0.05, 0.75, 1.0>
            rotate    <-1.0, -0.5, -45.0>
         }
      }
   }



#declare boisvrt = 
   material  // boisvrt
   {   
      texture
      {      
         pigment
         {
            wood
            color_map
            {
               [ 0.0     rgbft <0.281233, 0.416667, 0.25, 0.0, 0.0> ]
               [ 0.1     rgbft <0.427067, 0.5104, 0.376795, 0.0, 0.0> ]
               [ 0.9     rgbft <0.156233, 0.313659, 0.0729, 0.0, 0.0> ]
               [ 1.0     rgbft <0.1979, 0.416667, 0.333333, 0.0, 0.0> ]
            }
            turbulence 0.0635
            octaves 3
            ramp_wave
            scale  <0.05, 0.75, 1.0>
            rotate    <-1.0, -0.5, -45.0>
         }
      }
   }


#declare boisBollard = 
   material  // boisBollard
   {   
      texture  // tBoisBollard
      {
         gradient z
         texture_map
         {
            [0.0   
               pigment
               {
                  wood
                  color_map
                  {
                     [ 0.0     rgbft <0.281233, 0.416667, 0.25, 0.0, 0.0> ]
                     [ 0.1     rgbft <0.427067, 0.5104, 0.376795, 0.0, 0.0> ]
                     [ 0.9     rgbft <0.156233, 0.313659, 0.0729, 0.0, 0.0> ]
                     [ 1.0     rgbft <0.1979, 0.416667, 0.333333, 0.0, 0.0> ]
                  }
                  turbulence 0.0635
                  octaves 3
                  ramp_wave
                  scale  <0.05, 0.75, 1.0>
                  rotate    <-1.0, -0.5, -45.0>
               }               
               normal
               {
                  wood , 0.2
                  turbulence 0.0635
                  octaves 3
                  ramp_wave
                  scale  <0.05, 0.75, 1.0>
                  rotate    <-1.0, -0.5, -45.0>
               }
            ]
            [1.0   
               pigment
               {
                  wood
                  color_map
                  {
                     [ 0.0     rgbft <0.364567, 0.364567, 0.311403, 0.0, 0.0> ]
                     [ 0.1     rgbft <0.539872, 0.443891, 0.376795, 0.0, 0.0> ]
                     [ 0.9     rgbft <0.418919, 0.313659, 0.302067, 0.0, 0.0> ]
                     [ 1.0     rgbft <0.4595, 0.326593, 0.269634, 0.0, 0.0> ]
                  }
                  turbulence 0.0635
                  octaves 3
                  ramp_wave
                  scale  <0.05, 0.75, 1.0>
                  rotate    <-1.0, -0.5, -45.0>
               }               
               normal
               {
                  wood , 0.05
                  turbulence 0.0635
                  octaves 3
                  ramp_wave
                  scale  <0.05, 0.75, 1.0>
                  rotate    <-1.0, -0.5, -45.0>
               }
            ]
         }

      }
   }




#declare lichen = 
   material  // lichen
   {   
      texture  // tlichen
      {      
         pigment
         {
            agate
            agate_turb 1.0
            color_map
            {
               [ 0.0     rgbft <0.0, 0.4479, 0.0, 0.0, 0.0> ]
               [ 0.209964  rgbft <0.235444, 0.452023, 0.235444, 0.0, 0.0> ]
               [ 0.209964  rgbft <1.0, 1.0, 1.0, 0.0, 1.0> ]
               [ 1.0     rgbft <1.0, 1.0, 1.0, 0.0, 1.0> ]
            }
         }      
         normal
         {
            granite , 0.5
            scale  0.2
         }
      }
   }




#declare TCimentBase = 
   texture  // txt_37
   {   
      pigment
      {
         gradient x
         color_map
         {
            [ 0.0     rgbft <0.85, 0.85, 0.85, 0.0, 0.0> ]
            [ 0.02    rgbft <0.85, 0.85, 0.85, 0.0, 0.0> ]
            [ 0.1     rgbft <1.0, 1.0, 1.0, 0.0, 0.0> ]
            [ 1.0     rgbft <0.85, 0.85, 0.85, 0.0, 0.0> ]
         }
         turbulence 0.75
         frequency 6.0
         ramp_wave
         scale  <0.5, 0.5, 0.5>
         rotate    <0.0, 315.0, 30.0>
      }   
      normal
      {
         granite , 0.5
      }
   }
   texture  // txt_38
   {   
      pigment
      {
         granite
         color_map
         {
            [ 0.0     rgbft <0.656233, 0.656233, 0.656233, 0.7604, 0.0> ]
            [ 0.15    rgbft <0.4, 0.3, 0.3, 0.5, 0.0> ]
            [ 0.3     rgbft <0.15, 0.08, 0.02, 0.0, 0.0> ]
            [ 0.35    rgbft <0.6, 0.4, 0.35, 0.5, 0.0> ]
            [ 0.45    rgbft <0.4, 0.35, 0.3, 0.6, 0.0> ]
            [ 0.65    rgbft <0.802067, 0.802067, 0.802067, 0.343733, 0.218733> ]
            [ 1.0     rgbft <0.7604, 0.7604, 0.7604, 0.3854, 0.6354> ]
         }
         turbulence 0.3
         octaves 5
         omega 0.75
         lambda 2.5
         frequency 2.0
         phase 0.25
         ramp_wave
         scale  <1.0, 1.0, 0.45>
         rotate    <0.0, 5.0, 60.0>
      }   
      normal
      {
         granite , 0.5
      }
   }

#declare CimentBase = 
   material  // T_Stone34
   {   
      texture { TCimentBase }
   }



#declare CimentTrace = 
   material  
   {   
      texture
      {      
         pigment
         {
            crackle
            color_map
            {
               [ 0.0     rgbft <0.8229, 0.8229, 0.8229, 0.0, 1.0> ]
               [ 0.07    rgbft <0.6354, 0.6354, 0.6354, 0.0, 0.0> ]
               [ 0.2     rgbft <0.552067, 0.552067, 0.552067, 0.0, 0.0> ]
               [ 0.3     rgbft <0.729167, 0.729167, 0.729167, 0.0104, 0.864567> ]
               [ 0.7     rgbft <0.427067, 0.427067, 0.427067, 0.0104, 0.9479> ]
               [ 1.0     rgbft <0.552067, 0.552067, 0.552067, 0.0, 0.0> ]
            }
            turbulence .9
         }      
         normal
         {
            granite , 0.5
            scale <.2,.2,1>
         }      
         finish
         {
            ambient 0.1
            brilliance 0.300667
            roughness 0.0
         }      
         scale  0.5
      }
   }  
   
#declare Bronze_Metal = 
   material  // Bronze_Metal
   {   
      texture
      {      
         pigment
         {
            color rgb <0.33, 0.37, 0.14>
         } 
              
         normal
         {
            spiral1 5 , 0.15
            scale  <2, .7, 2>
         } 
              
         finish
         {
            ambient 0.2
            diffuse 0.6
            brilliance 4.0
            phong 0.1302
            phong_size 13.176667
            specular 0.11
            metallic 0.0
            reflection 0.029237
         }
      }
   }   

#declare Bronze_Metal_C = 
   material  // Bronze_Metal
   {   
      texture
      {      
         pigment
         {
            color rgb <0.33, 0.37, 0.14>
         } 
              
         normal
         {
            spiral1 5 , 0.15
            scale  <2, .7, 2>
         } 
              
         finish
         {
            ambient 0.2
            diffuse 0.6
            brilliance 4.0
            phong 0.1302
            phong_size 13.176667
            specular 0.11
            metallic 0.0
            reflection 0.029237
         }
      }
      
   }// Bronze_Metal_C
   
#declare Bronze_Metal_D1 = 
   material  // Bronze_Metal
   {   
      texture
      {      
         pigment
         {
            color rgb <0.33, 0.37, 0.14>
         } 
              
         normal
         {
            spiral1 5 , 0.15
            scale  <2, .7, 2>
         } 
              
         finish
         {
            ambient 0.2
            diffuse 0.6
            brilliance 4.0
            phong 0.1302
            phong_size 13.176667
            specular 0.11
            metallic 0.0
            reflection 0.029237
         }
      }
      texture
      {      
         pigment
         {
            agate
            agate_turb 1
            color_map
            {
               [ 0.0     rgbft <0.3, 0.2479, 0.0, 0.0, 0.0> ]
               [ 0.109964  rgbft <0.435444, 0.152023, 0.135444, 0.0, 0.0> ]
               [ 0.209964  rgbft <1.0, 1.0, 1.0, 0.0, 1.0> ]
               [ 1.0     rgbft <1.0, 1.0, 1.0, 0.0, 1.0> ]
            }
            
         }      
          
              
         normal
         {
            agate 0.1
            agate_turb 1
         } 
              
         finish
         {
            ambient 0.2
            diffuse 0.5
            
         }
      }
   } // Bronze_Metal_D1
   
   #declare Bronze_Metal_D2 = 
   material  // Bronze_Metal
   {   
      texture
      {      
         pigment
         {
            color rgb <0.33, 0.37, 0.14>
         } 
              
         normal
         {
            spiral1 5 , 0.15
            scale  <2, .7, 2>
         } 
              
         finish
         {
            ambient 0.2
            diffuse 0.6
            brilliance 4.0
            phong 0.1302
            phong_size 13.176667
            specular 0.11
            metallic 0.0
            reflection 0.029237
         }
      }
      texture
      {      
         pigment
         {
            agate
            agate_turb 1
            color_map
            {
               [ 0.0     rgbft <0.3, 0.2479, 0.0, 0.0, 0.0> ]
               [ 0.409964  rgbft <0.435444, 0.152023, 0.135444, 0.0, 0.0> ]
               [ 0.709964  rgbft <1.0, 1.0, 1.0, 0.0, 1.0> ]
               [ 1.0     rgbft <1.0, 1.0, 1.0, 0.0, 1.0> ]
            }
            
         }      
          
              
         normal
         {
            agate 0.1
            agate_turb 1
         } 
              
         finish
         {
            ambient 0.2
            diffuse 0.5
            
         }
      }
   }// Bronze_Metal_D2
   
      #declare Bronze_Metal_D3 = 
   material  // Bronze_Metal
   {   
      texture
      {      
         pigment
         {
            color rgb <0.33, 0.37, 0.14>
         } 
              
         normal
         {
            spiral1 5 , 0.15
            scale  <2, .7, 2>
         } 
              
         finish
         {
            ambient 0.2
            diffuse 0.6
            brilliance 4.0
            phong 0.1302
            phong_size 13.176667
            specular 0.11
            metallic 0.0
            reflection 0.029237
         }
      }
      texture
      {      
         pigment
         {
            agate
            agate_turb 1
            color_map
            {
               [ 0.0     rgbft <0.3, 0.2479, 0.0, 0.0, 0.0> ]
               [ 0.509964  rgbft <0.435444, 0.152023, 0.135444, 0.0, 0.0> ]
               [ 0.809964  rgbft <1.0, 1.0, 1.0, 0.0, 1.0> ]
               [ 1.0     rgbft <1.0, 1.0, 1.0, 0.0, 1.0> ]
            }
            
         }      
          
              
         normal
         {
            agate 0.1
            agate_turb 1
         } 
              
         finish
         {
            ambient 0.2
            diffuse 0.5
            
         }
      }
   }// Bronze_Metal_D3

 
/******** End of Bollard texture *********************/  

//////// TEXTURES FOR BARBER POLE ///////////////////////
#declare BlancRad = 
   material  // BlancRad
   {   
      texture
      {      
         pigment
         {
            color rgb <1.0, 1.0, 1.0>
         }      
         normal
         {
            ripples , 0.05
            scale  <1, 0.2, 1.0>
         }      
         
            
         finish
         {
            ambient 0.330933
            diffuse 0.539567
            specular 0.0863
         }
         rotate x*90  
      }
   }


//  $MRY$: 'RougeRad'


#declare RougeRad = 
   material  // RougeRad
   {   
      texture
      {      
         pigment
         {
            color rgb <1.0, 0.0, 0.0>
         }      
         normal
         {
            ripples , 0.05
            scale  <1, 0.2, 1.0>
         }      
         finish
         {
            ambient 0.15
            phong 0.273367
            phong_size 4.633333
            specular 0.266167
            roughness 0.006178
         }
         rotate x*90
      }
   }


//  $MRY$: 'BleuRad'


#declare BleuRad = 
   material  // BleuRad
   {   
      texture
      {      
         pigment
         {
            color rgb <0.0104, 0.5, 0.7604>
         }      
         normal
         {
            ripples , 0.05
            scale  <1, 0.2, 1.0>
         }      
         finish
         {
            ambient 0.15
            phong 0.273367
            phong_size 4.633333
            specular 0.266167
            roughness 0.006178
         }
         rotate x*90
      }
      
   }



#declare _auto_name_no_1_ = 
   texture
   {   
      pigment
      {
         spiral1 5
         color_map
         {
            [ 0.0     rgbft <0.0, 0.364567, 0.708333, 0.0, 0.0> ]
            [ 0.309609  rgbft <0.006542, 0.3854, 0.6354, 0.0, 0.0> ]
            [ 0.309609  rgbft <1.0, 0.9, 0.9, 0.0, 0.0> ]
            [ 1.0     rgbft <0.9, 0.9, 0.85, 0.0, 0.0> ]
         }
         scale  <1.0, 1.0, 0.3>
      }   
      normal
      {
         spiral1 5 , 0.002
         scale  <2.0, 2.0, 0.02>
      }    
      finish
      {
         ambient 0.273367
         phong 0.129467
         phong_size 05.826667
         specular 0.209333
         roughness 0.150367
      }
   }
   texture
   {   
      pigment
      {
         spiral1 5
         color_map
         {
            [ 0.0     rgbft <1.0, 1.0, 1.0, 1.0, 1.0> ]
            [ 0.718861  rgbft <1.0, 1.0, 1.0, 1.0, 1.0> ]
            [ 0.733096  rgbft <1.0, 0.2, 0.0208, 0.0, 0.0> ]
            [ 1.0     rgbft <1.0, 0.0104, 0.0104, 0.0, 0.0> ]
         }
         scale  <1.0, 1.0, 0.3>
      }   
      normal
      {
         spiral1 5 , 0.002
         scale  <2.0, 2.0, 0.02>
      }  
          
      finish
      {
         ambient 0.273367
         phong 0.129467
         phong_size 15.826667
         specular 0.109333
         roughness 0.150367
      }
      
   }

#declare barberpole02 = 
   material  // barberpole02
   {   
      texture { _auto_name_no_1_ }   
      scale  <1.0, 1.0, 0.7>
   }


/********** End texture barber pole *******************/

////////// Texture support equerre  /////////////
#declare Rusty_IronSup1 = 
   material  // Rusty_IronSup1
   {   
      texture
      {      
         pigment
         {
            agate
            agate_turb 1.0
            color_map
            {
               [ 0.0     rgbft <0.21, 0.1, 0.1, 0.0, 0.0> ]
               [ 0.5     rgbft <0.25, 0.25, 0.01, 0.0, 0.0> ]
               [ 0.6     rgbft <0.3, 0.1, 0.1, 0.0, 0.0> ]
               [ 0.6     rgbft <0.15, 0.1, 0.1, 0.0, 0.0> ]
               [ 1.0     rgbft <0.15, 0.1, 0.1, 0.0, 0.0> ]
            }
         }
      }
   }



/////////// TEXTURE CLOCHE HORLOGE ////////////////////////////
#declare BELL = 
   material  // BELL
   {   
      texture
      {      
         pigment
         {
            color rgb <0.2604, 0.218733, 0.0729>
         }      
         normal
         {
            wrinkles , 0.25
         }      
         finish
         {
            ambient 0.3
            diffuse 0.7
            phong 0.5
            phong_size 10.0
            metallic 0.2
         }
      }
   }

//// SUPPORT DE CLOCHE
#declare Rusty_Iron = 
   material  // Rusty_Iron
   {   
      texture
      {      
         pigment
         {
            granite
            color_map
            {
               [ 0.0     rgbft <0.42, 0.2, 0.2, 0.0, 0.0> ]
               [ 0.5     rgbft <0.5, 0.5, 0.02, 0.0, 0.0> ]
               [ 0.6     rgbft <0.6, 0.2, 0.2, 0.0, 0.0> ]
               [ 0.6     rgbft <0.3, 0.2, 0.2, 0.0, 0.0> ]
               [ 1.0     rgbft <0.3, 0.2, 0.2, 0.0, 0.0> ]
            }
         }      
         normal
         {
            wrinkles , 1.0
            scale  0.1
         }
      }
   }


////////// PANNEAU BARBIER ///////////////////////
#declare charnieres = 
   material  // charnieres
   {   
      texture
      {      
         pigment
         {
            color rgb <0.2604, 0.218733, 0.0729>
         }      
         normal
         {
            wrinkles , 0.25
         }      
         finish
         {
            ambient 0.3
            diffuse 0.7
            phong 0.5
            phong_size 10.0
            metallic 0.2
         }
      }
   }



#declare Feroxyde = 
   material  // Feroxyde
   {   
      texture
      {      
         pigment
         {
            granite
            color_map
            {
               [ 0.0     rgbft <0.42, 0.2, 0.2, 0.0, 0.0> ]
               [ 0.5     rgbft <0.5, 0.5, 0.02, 0.0, 0.0> ]
               [ 0.6     rgbft <0.6, 0.2, 0.2, 0.0, 0.0> ]
               [ 0.6     rgbft <0.3, 0.2, 0.2, 0.0, 0.0> ]
               [ 1.0     rgbft <0.3, 0.2, 0.2, 0.0, 0.0> ]
            }
         }      
         normal
         {
            wrinkles , 1.0
            scale  0.1
         }
      }
   }

#declare MontantBois = 
   material  // BallWood
   {   
      texture
      {      
         pigment
         {
            wood
            color_map
            {
               [ 0.0     rgbft <0.562741, 0.562741, 0.333059, 0.0, 0.0> ]
               [ 0.302491  rgbft <0.462353, 0.473201, 0.255932, 0.0, 0.0> ]
               [ 0.911032  rgbft <0.427067, 0.418128, 0.2604, 0.0, 0.0> ]
               [ 1.0     rgbft <0.24531, 0.178936, 0.15049, 0.0, 0.0> ]
            }
            turbulence 0.06
            octaves 3
            ramp_wave
            scale  <0.5, 0.1, 1.0>
            rotate    <-0.2, -0.6, -30.0>
         }
      }
   }





#declare panneauFnd = 
   material  // panneauFnd
   {   
      texture
      {      
         pigment
         {
            color rgb <0.114567, 0.1979, 0.156233>
         }      
         normal
         {
            bumps , 0.5

         }      
         finish
         {
            ambient 0.3
            diffuse 0.5
            phong 0.7
            phong_size 20.0
         }
      }
   }


#declare panneauImg = 
   material  // panneauImg
   {   
      texture
      {      
         pigment
         {
            image_map
            {
               gif   "textures\easyshave02.gif"
            }
            scale  <1, 1, 1.0>
            rotate -270.0 * x
            translate    <0.0, 0.0,0>   
         }      
         normal
         {
            bumps , 0.5

         }      
         finish
         {
            ambient 0.3
            diffuse 0.5
            phong 0.4
            phong_size 20.0
         }
      }
   }
   
/***************** Panneau Barbier *****************************/   




  
///////////// TEST

#declare texVtr01 = 
texture {
                     
                 pigment {
                      image_map {gif "textures\etagereboulD_104.gif"     transmit    104, 1.0      
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.3
                    diffuse 0.78
                    
                 }
         } 
         
#declare texVtr02 = 
texture {
                     
                    pigment {
                      image_map {gif "textures\etagereboulG_82.gif"     transmit    82, 1.0      
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.3
                    diffuse 0.78
                    
                 }
         } 
#declare Tboulangere = 
texture {
                     
                    pigment {
                      image_map {gif "textures\boulangere_255.gif"  transmit    255, 1.0} 
                      
                    } 
                    finish
                 {
                    ambient 0.1
                    diffuse 0.7
                    
                 }
         }                   
         
#declare Tboulfond = 
texture {
                     
                    pigment {
                      image_map {gif "textures\boulfond_64.gif"  transmit    64, 1.0} 
                      
                    } 
                    finish
                 {
                    ambient 0.1
                    diffuse 0.7
                    
                 }
         }         
         


///Tasse de the        
#declare porcelblanche = 
   material  // porcelblanche
   {   
      texture
      {      
         pigment
         {
            color rgb <0.8854, 0.875, 0.864567>
         }      
         finish
         {
            ambient 0.15
            specular 0.7266
            roughness 0.006139
            
            reflection
            {
               0.0392 , 0.098033
               fresnel  off
               falloff  0.0
               exponent 1.0
               metallic 0.0
            }
            
         }
      }
   }


//  $MRY$: 'Gold_Metal'


#declare Gold_Metal = 
   material  // Gold_Metal
   {   
      texture
      {      
         pigment
         {
            color rgb <0.85, 0.85, 0.1>
         }      
         finish
         {
            ambient 0.2
            diffuse 0.7
            brilliance 6.0
            phong 0.75
            phong_size 80.0
            reflection
            {
               0.25 , 0.25
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }


//  $MRY$: 'the-txt'


#declare theMtxt = 
   material  // the-txt
   {   
      texture
      {      
         pigment
         {
            color rgbft <0.726356, 0.4479, 0.169444, 0.041667, 0.458333>
         }      
         normal
         {
            waves , 0.5
         }      
         finish
         {
            ambient 0.1
            diffuse 0.669033
            specular 0.064733
            reflection
            {
               0.107833 , 0.186267
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }   
      interior
      {
         ior 1.510667
      }
   }


//  $MRY$: 'porcelblancheInt'


#declare porcelblancheInt = 
   material  // porcelblancheInt
   {   
      texture
      {      
         pigment
         {
            color rgbft <0.940754, 0.934246, 0.939127, 0.0104, 0.0104>
         }      
         finish
         {
            ambient 0.15
            specular 0.7266
            roughness 0.006139
            reflection
            {
               0.0392 , 0.098033
               fresnel  off
               falloff  0.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }


#declare matSucreBlanc = 
   material  // matSucreBlanc
   {   
      texture
      {
         crackle form <-1.0, 1.0, 0.0>
         texture_map
         {
            [0.0   
               // TxSucre1mat               
               pigment
               {
                  crackle form <-1.0, 1.0, 0.0>
                  color_map
                  {
                     [ 0.0     rgbft <0.958333, 0.927067, 0.875, 0.041667, 0.052067> ]
                     [ 0.227758  rgbft <0.958333, 0.91145, 0.9375, 0.020833, 0.026033> ]
                     [ 1.0     rgbft <1.0, 1.0, 1.0, 0.0, 0.0> ]
                  }
                  scale  0.05
               }               
               normal
               {
                  agate , 0.5
                  agate_turb 1.0
                  normal_map
                  {
                     [0.0   
                        crackle form <-1.0, 1.0, 0.0>
                        scale  0.05
                     ]
                     [1.0   
                        granite , 0.1
                        scale  <7.0, 10.0, 10.0>
                     ]
                  }
               }               
               finish
               {
                  ambient 0.223
                  diffuse 0.683433
                  specular 0.503567
                  roughness 0.0526
               }
            ]
            [1.0   
               // TxSucre2mat               
               pigment
               {
                  color rgb <0.989567, 0.958333, 0.989567>
               }               
               normal
               {
                  crackle form <-1.0, 1.0, 0.0>
                  scale  0.05
               }               
               finish
               {
                  ambient 0.316533
                  diffuse 0.755367
                  specular 0.884867
                  roughness 0.0526
               }
            ]
         }

      }   
      scale  0.02
   }


//  $MRY$: 'Chrome_Metal'


#declare Chrome_MetalM = 
   material  // Chrome_MetalM
   {   
      texture
      {      
         pigment
         {
            color rgb <0.658824, 0.658824, 0.658824>
         }      
         normal
         {
            bumps , 0.02
         }      
         finish
         {
            ambient 0.3
            diffuse 0.7
            brilliance 8.0
            specular 0.8
            roughness 0.1
            reflection
            {
               0.421567 , 0.411733
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }


//  $MRY$: 'T_Chrome_5B'


#declare T_Chrome_5B = 
   material  // T_Chrome_5B
   {   
      texture
      {      
         pigment
         {
            color rgb <0.95, 0.95, 0.95>
         }      
         finish
         {
            ambient 0.3
            diffuse 0.4
            brilliance 3.0
            specular 0.7
            roughness 0.016667
            reflection
            {
               0.25 , 0.25
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }


//  $MRY$: 'Material1_2'


#declare Material1_2 = 
   material  // Material1_2
   {   
      texture
      {      
         pigment
         {
            color rgb <0.0, 0.0104, 0.0104>
         }      
         finish
         {
            ambient 0.1
            phong 0.8489
            phong_size 26.49
            reflection
            {
               0.1 , 0.1
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }
  //////// Pour tassedethe
  
  
  
  /////// pour etagere et livres
  
  //  Material Include file.
//
//  This file was generated for POV-Ray V3.5 by
//  NOTE: Do *NOT* remove the comment lines containing '$MRY$'.
//        To make Moray not re-export the material, change
//        the '$MRY$' to '$MRX$'.
//


//
// ********  MATERIALS  *******
//







// Materials from previous exports [MRY]

// Materials exported in this run [MRY]



//  $MRY$: 'Yellow_Pine1'


#declare _auto_name_no_1_ = 
   texture  // texture19
   {   
      pigment
      {
         wood
         color_map
         {
            [ 0.0     rgbft <0.808, 0.671, 0.251, 0.0, 0.0> ]
            [ 0.222   rgbft <0.808, 0.671, 0.251, 0.0, 0.0> ]
            [ 0.342   rgbft <0.6, 0.349, 0.043, 0.0, 0.0> ]
            [ 0.393   rgbft <0.808, 0.671, 0.251, 0.0, 0.0> ]
            [ 0.709   rgbft <0.808, 0.671, 0.251, 0.0, 0.0> ]
            [ 0.821   rgbft <0.533, 0.298, 0.027, 0.0, 0.0> ]
            [ 1.0     rgbft <0.808, 0.671, 0.251, 0.0, 0.0> ]
         }
         turbulence 0.07
         ramp_wave
         scale  0.1
         rotate    <-0.1, -0.1, -0.1>
         translate 10.0 * x
      }
      finish {
         ambient 0.2
         diffuse 0.7
         phong 0.2489
         phong_size 15.49
      }
   }
   texture  // texture20
   {   
      pigment
      {
         wood
         color_map
         {
            [ 0.0     rgbft <1.0, 1.0, 1.0, 1.0, 0.0> ]
            [ 0.12    rgbft <0.702, 0.412, 0.118, 0.608, 0.0> ]
            [ 0.231   rgbft <0.702, 0.467, 0.118, 0.608, 0.0> ]
            [ 0.496   rgbft <1.0, 1.0, 1.0, 1.0, 0.0> ]
            [ 0.701   rgbft <1.0, 1.0, 1.0, 1.0, 0.0> ]
            [ 0.829   rgbft <0.702, 0.467, 0.118, 0.608, 0.0> ]
            [ 1.0     rgbft <1.0, 1.0, 1.0, 1.0, 0.0> ]
         }
         turbulence 0.02
         ramp_wave
         scale  0.5
         rotate    <-0.1, -0.1, -0.1>
         translate 10.0 * x
      } 
      finish {
         ambient 0.2
         diffuse 0.8
         phong 0.3489
         phong_size 10.49
      }
   }

#declare Yellow_Pine1 = 
   material  // Yellow_Pine1
   {   
      texture { _auto_name_no_1_ } 
      
   }


//  $MRY$: 'RedTxr'


#declare RedTxr = 
   material  // RedTxr
   {   
      texture
      {      
         pigment
         {
            color rgb <0.792157, 0.0, 0.0>
         }      
         finish
         {
            ambient 0.2
            diffuse 0.8
         }
      }
   }


//  $MRY$: 'PagesTxr'


#declare PagesTxr = 
   material  // PagesTxr
   {   
      texture  // LignesH
      {      
         pigment
         {
            agate
            agate_turb 1.0
            color_map
            {
               [ 0.0     rgbft <0.965494, 0.94004, 0.909506, 0.0, 0.0> ]
               [ 0.5     rgbft <0.953992, 0.920054, 0.879342, 0.0, 0.0> ]
               [ 1.0     rgbft <0.965494, 0.94004, 0.909506, 0.0, 0.0> ]
            }
            scale  7.0
         }      
         normal
         {
            bumps , 0.1
            scale  3.0
         }      
         finish
         {
            ambient 0.2
            diffuse 0.7
            crand 0.035967
         }
      } 
      
      
      texture {
                     
                    pigment {
                      image_map {gif "textures\dupont-lettre.gif"      transmit    1, 1   once
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
                   
                 scale <-6,-11,1>
                 translate <3,6,0>
         } 

      
      
   }


//  $MRY$: 'RedTxr_1'


#declare RedTxr_1 = 
   material  // RedTxr_1
   {   
      texture
      {      
         pigment
         {
            color rgb <0.792157, 0.0, 0.0>
         }      
         finish
         {
            ambient 0.2
            diffuse 0.8
         }
      }
   }


//  $MRY$: 'TitreTxr'


#declare TitreTxr = 
   material  // TitreTxr
   {   
      texture
      {      
         pigment
         {
            color rgb <0.88434, 0.821016, 0.599244>
         }      
         normal
         {
            bumps , 0.5
            scale  0.1
         }      
         finish
         {
            ambient 0.2
            diffuse 0.8
            crand 0.129467
         }
      }
   }


//  $MRY$: 'RedTxr_2'


#declare RedTxr_2 = 
   material  // RedTxr_2
   {   
      texture
      {      
         pigment
         {
            color rgb <0.792157, 0.0, 0.0>
         }      
         /* no normal type given.
         normal
         {
         }
         */      
         finish
         {
            ambient 0.2
            diffuse 0.8
            crand 0.273367
         }
      }
   }


//  $MRY$: 'PagesTxr_2'


#declare PagesTxr_2 = 
   material  // PagesTxr_2
   {   
      texture
      {      
         pigment
         {
            color rgb <0.91447, 0.88596, 0.814663>
         }      
         normal
         {
            granite , 0.02
            scale  <1.0, 1.0, 0.5>
         }      
         finish
         {
            ambient 0.1
            crand 0.043133
         }
      }
   }


//  $MRY$: 'Gold_metalbook'


#declare Gold_metalbook = 
   material  // Gold_Metalbook
   {   
      texture
      {      
         pigment
         {
            color rgb <0.85, 0.85, 0.1>
         }      
         finish
         {
            ambient 0.2
            diffuse 0.8
            brilliance 6.0
            phong 0.75
            phong_size 80.0
            reflection
            {
               0.25 , 0.25
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }


//  $MRY$: 'BrownTxr_1'


#declare BrownTxr_1 = 
   material  // BrownTxr_1
   {   
      texture
      {      
         pigment
         {
            agate
            agate_turb 1.0
            color_map
            {
               [ 0.0     rgbft <0.254976, 0.169984, 0.099157, 0.0, 0.0> ]
               [ 1.0     rgbft <0.535185, 0.338413, 0.173148, 0.0, 0.0> ]
            }
            scale  <0.5, 0.5, 0.12>
         }      
         normal
         {
            bumps , 0.5
            scale  0.5
         }      
         finish
         {
            ambient 0.2
            diffuse 0.8
            phong 0.258967
            phong_size 13.906667
            reflection
            {
               0.0392 , 0.0784
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }


//  $MRY$: 'FleetBookTxr'


#declare FleetBookTxr = 
   material  // FleetBookTxr
   {   
      texture
      {      
         pigment
         {
            wrinkles
            color_map
            {
               [ 0.0     rgbft <0.164743, 0.275933, 0.064067, 0.0, 0.0> ]
               [ 0.412811  rgbft <0.165046, 0.276521, 0.063479, 0.0, 0.0> ]
               [ 0.437722  rgbft <0.150095, 0.095616, 0.049905, 0.0, 0.0> ]
               [ 0.565836  rgbft <0.150637, 0.095582, 0.049363, 0.0, 0.0> ]
               [ 0.587189  rgbft <0.165046, 0.276521, 0.063479, 0.0, 0.0> ]
               [ 1.0     rgbft <0.165046, 0.276521, 0.063479, 0.0, 0.0> ]
            }
            scale  <0.2, 0.2, 0.03>
            translate 1.0 * x
         }      
         normal
         {
            bumps , 0.5
            scale  0.5
         }      
         finish
         {
            ambient 0.2
            diffuse 0.8
            phong 0.258967
            phong_size 13.906667
            reflection
            {
               0.0392 , 0.0784
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }


//  $MRY$: 'FairyBookTxr'


#declare FairyBookTxr = 
   material  // FairyBookTxr
   {   
      texture
      {      
         pigment
         {
            wrinkles
            color_map
            {
               [ 0.0     rgbft <0.164743, 0.275933, 0.064067, 0.0, 0.0> ]
               [ 0.412811  rgbft <0.239567, 0.291667, 0.063479, 0.0, 0.0> ]
               [ 0.462633  rgbft <0.150095, 0.095616, 0.049905, 0.0, 0.0> ]
               [ 0.551601  rgbft <0.150637, 0.095582, 0.049363, 0.0, 0.0> ]
               [ 0.587189  rgbft <0.165046, 0.276521, 0.063479, 0.0, 0.0> ]
               [ 1.0     rgbft <0.165046, 0.276521, 0.063479, 0.0, 0.0> ]
            }
            scale  <0.2, 0.2, 0.03>
         }      
         normal
         {
            bumps , 0.5
            scale  0.5
         }      
         finish
         {
            ambient 0.2
            diffuse 0.8
            phong 0.258967
            phong_size 13.906667
            reflection
            {
               0.0392 , 0.0784
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }                       
   
#declare Sombrafbooktxr = 
   material  // FairyBookTxr
   {   
      texture
      {      
         pigment
         {
            wrinkles
            color_map
            {
               [ 0.0     rgbft <0.164743, 0.275933, 0.064067, 0.0, 0.0> ]
               [ 0.412811  rgbft <0.339567, 0.211667, 0.063479, 0.0, 0.0> ]
               [ 0.462633  rgbft <0.150095, 0.095616, 0.049905, 0.0, 0.0> ]
               [ 0.551601  rgbft <0.150637, 0.095582, 0.049363, 0.0, 0.0> ]
               [ 0.587189  rgbft <0.315046, 0.226521, 0.063479, 0.0, 0.0> ]
               [ 1.0     rgbft <0.165046, 0.276521, 0.063479, 0.0, 0.0> ]
            }
            scale  <0.2, 0.2, 0.03>
         }      
         normal
         {
            bumps , 0.5
            scale  0.5
         }      
         finish
         {
            ambient 0.2
            diffuse 0.8
            phong 0.258967
            phong_size 13.906667
            reflection
            {
               0.0392 , 0.0784
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }
   
/////// fin de text etagere


//// Textures pebrok
#declare tex_ToilePebrok =      texture
      {      
         pigment
         {
            spiral1 5
            color_map
            {
               [ 0.0     rgbft <0.0, 0.167829, 0.429133, 0.0, 0.0> ]
               [ 0.238434  rgbft <0.316667, 0.316667, 0.416667, 0.0, 0.0>*0.7 ]
               [ 0.569395  rgbft <0.203017, 0.201131, 0.286983, 0.0, 0.0> ]
               [ 1.0     rgbft <0.1354, 0.15049, 0.25049, 0.0, 0.0> ]
            }
            scale  <1.0, 1.0, 2.0>
            turbulence .2
         }      
         normal
         {
            spiral1 5 , 0.8
            turbulence .2
            scale  2.0
         }      
         finish
         {
            ambient 0.273367
            phong 0.129467
            phong_size 25.826667
            specular 0.309333
            roughness 0.150367
            crand 0.350333
         }
         rotate x*90
      }




#declare tex_ToileBague =      texture
      {      
         pigment
         {
            spiral1 5
            color_map
            {
               [ 0.0     rgbft <0.0, 0.167829, 0.229133, 0.0, 0.0> ]
               [ 0.238434  rgbft <0.216667, 0.316667, 0.416667, 0.0, 0.0> ]
               [ 0.569395  rgbft <0.263017, 0.241131, 0.236983, 0.0, 0.0> ]
               [ 1.0     rgbft <0.1354, 0.15049, 0.15049, 0.0, 0.0> ]
            }
            scale  <1.0, 1.0, 2.0>
         }      
         normal
         {
            spiral1 5 , 0.2
            scale  2.0
         }      
         finish
         {
            ambient 0.173367
            phong 0.129467
            phong_size 25.826667
            specular 0.409333
            roughness 0.050367
            crand 0.050333
         }
         rotate x*90
      }


#declare tex_baleine = texture {
        pigment{Gray70}
        normal
         {
            dents , 0.2
            scale  0.2
         }     
        finish{
          reflection .65
        }
} 

#declare tex_crosse = texture
      {      
         pigment
         {
            agate
            agate_turb 1.0
            color_map
            {
               [ 0.0     rgbft <0.479167, 0.291667, 0.093733, 0.0, 0.0> ]
               [ 0.384342  rgbft <0.3854, 0.2604, 0.0, 0.0, 0.0> ]
               [ 0.3879  rgbft <0.244767, 0.191842, 0.0, 0.0, 0.0>*.7 ]
               [ 0.512456  rgbft <0.244767, 0.191842, 0.0, 0.0, 0.0>*.7 ]
               [ 0.512456  rgbft <0.315083, 0.218733, 0.0, 0.0, 0.0> ]
               [ 1.0     rgbft <0.479167, 0.291667, 0.093733, 0.0, 0.0> ]
            }
         }  
         
         normal 
         {
            dents , 0.2
            scale  0.2
         }   
             
         finish
         {
            ambient 0.19
            diffuse 0.85
            phong 0.3
            phong_size 0.56
            specular 0.382733
            roughness 0.0326
            crand 0.2
         }
      }
//  fin de Textures pebrok


///////// Textures Bouteille de Gin ///////////

#declare T_VerreBouteilleGin = 
   material  // T_VerreBouteilleGin
   {   
      texture
      {      
         pigment
         {
            color rgbft <0.700101, 0.904032, 0.8125, 0.0625, 1.0>
         }      
         normal
         {
            bumps , 0.1
         }      
         finish
         {
            ambient 0.1
            diffuse 0.179833
            phong 1.0
            phong_size 100.0
            specular 0.8
            roughness 0.0003
            conserve_energy
            reflection
            {
               0.0784 , 0.2549
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }   
      interior
      {
         ior 1.45
      }
   }


//  $MRY$: 'T_Gin'


#declare T_Gin = 
   material  // T_Gin
   {   
      texture
      {      
         pigment
         {
            color rgbft <0.9, 0.9, 0.906233, 0.395833, 0.906233>
         }      
         normal
         {
            bumps , 0.01
         }      
         finish
         {
            ambient 0.1
            diffuse 0.151067
            phong 1.0
            phong_size 100.0
            conserve_energy
            reflection
            {
               0.0 , 0.049
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }   
      interior
      {
         ior 1.33
      }
   }


//  $MRY$: 'T_BouchonGin'


#declare T_BouchonGin = 
   material  // T_BouchonGin
   {   
      texture
      {      
         pigment
         {
            granite
            color_map
            {
               [ 0.0     rgbft <0.93, 0.71, 0.532, 0.0, 0.0> ]
               [ 0.6     rgbft <0.98, 0.81, 0.6, 0.0, 0.0> ]
               [ 0.6     rgbft <0.5, 0.3, 0.2, 0.0, 0.0> ]
               [ 0.65    rgbft <0.5, 0.3, 0.2, 0.0, 0.0> ]
               [ 0.65    rgbft <0.8, 0.53, 0.46, 0.0, 0.0> ]
               [ 1.0     rgbft <0.85, 0.75, 0.35, 0.0, 0.0> ]
            }
         }      
         finish
         {
            ambient 0.1
            specular 0.1
            roughness 0.5
         }
         scale 0.3
      }
   }


//  $MRY$: 'T_EtiquetteGin'


#declare T_EtiquetteGin = 
   material  // T_EtiquetteGin 
   {   
      texture
      {      
         pigment
         {
            image_map
            {
               gif   "C:\Program Files\POV-Ray for Windows v3.6\scenes\167_source\textures\ginlabelbarton.gif" transmit    1, 1.0
               once
            }
            rotate -90.0 * x
         }
      }
   }

///// Fin de tex Bouteille de Gin ///////////////////////


